librime: Darts::Details::AutoPool< T > Class Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
Darts::Details::AutoPool< T > Class Template Reference

`#include <darts.h>`

## Public Member Functions
| AutoPool ()
| ~AutoPool ()
const T & | operator[] (std::size_t id) const
T & | operator[] (std::size_t id)
bool | empty () const
std::size_t | size () const
void | clear ()
void | push_back (const T &value)
void | pop_back ()
void | append ()
void | append (const T &value)
void | resize (std::size_t size)
void | resize (std::size_t size, const T &value)
void | reserve (std::size_t size)

## Constructor & Destructor Documentation

## ◆ AutoPool()

template<typename T>

Darts::Details::AutoPool< T >::AutoPool | ( |  | ) |
| inline

## ◆ ~AutoPool()

template<typename T>

Darts::Details::AutoPool< T >::~AutoPool | ( |  | ) |
| inline

## Member Function Documentation

## ◆ append() [1/2]

template<typename T>

void Darts::Details::AutoPool< T >::append | ( |  | ) |
| inline

## ◆ append() [2/2]

template<typename T>

void Darts::Details::AutoPool< T >::append | ( | const T & | value | ) |
| inline

## ◆ clear()

template<typename T>

void Darts::Details::AutoPool< T >::clear | ( |  | ) |
| inline

## ◆ empty()

template<typename T>

bool Darts::Details::AutoPool< T >::empty | ( |  | ) | const
| inline

## ◆ operator[]() [1/2]

template<typename T>

T & Darts::Details::AutoPool< T >::operator[] | ( | std::size_t | id | ) |
| inline

## ◆ operator[]() [2/2]

template<typename T>

const T & Darts::Details::AutoPool< T >::operator[] | ( | std::size_t | id | ) | const
| inline

## ◆ pop_back()

template<typename T>

void Darts::Details::AutoPool< T >::pop_back | ( |  | ) |
| inline

## ◆ push_back()

template<typename T>

void Darts::Details::AutoPool< T >::push_back | ( | const T & | value | ) |
| inline

## ◆ reserve()

template<typename T>

void Darts::Details::AutoPool< T >::reserve | ( | std::size_t | size | ) |
| inline

## ◆ resize() [1/2]

template<typename T>

void Darts::Details::AutoPool< T >::resize | ( | std::size_t | size | ) |
| inline

## ◆ resize() [2/2]

template<typename T>

void Darts::Details::AutoPool< T >::resize | ( | std::size_t | size,
|  | const T & | value )
| inline

## ◆ size()

template<typename T>

std::size_t Darts::Details::AutoPool< T >::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- darts.h